<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: Clankasse                                     # ||
|| # Version: 1.00.0                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://www.bs-fusion.de                       # ||
|| # File: ccp_filter.php                                    # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");   

if (($_POST['filter_jahr'] || $_POST['filter_monat'] || $_POST['filter_user'] || $_POST['filter_cat'] || $_POST['filter_konto'] || $_GET['year'] || $_GET['month'] || $_GET['user'] || $_GET['cat'] || $_GET['account']) && !$_POST['reset'])
  {
  $filter_jahr = ($_POST['filter_jahr'] ? $_POST['filter_jahr'] : $_GET['year']);
  $filter_monat = ($_POST['filter_monat'] ? $_POST['filter_monat'] : $_GET['month']);
  if ($show_all == 1 ){$filter_user = ($_POST['filter_user'] ? $_POST['filter_user'] : $_GET['user']);}
    else if ($is_admin == 1){$filter_user = ($_POST['filter_user'] ? $_POST['filter_user'] : $_GET['user']);}
    else {$filter_user = $userdata['user_id'];}
  $filter_cat = ($_POST['filter_cat'] ? $_POST['filter_cat'] : $_GET['cat']);
  $filter_konto = ($_POST['filter_konto'] ? $_POST['filter_konto'] : $_GET['account']);
}else{
  if ($show_all == 1){$filter_user = "all";}
  else {$filter_user = ($is_admin == 1 ? "all" : $userdata['user_id']);}
  $filter_cat = "all";
  $filter_monat = $akt_monat;
  $filter_jahr = $akt_jahr;
  $filter_konto = "all";
  $year="";$month="";$user="";$cat="";$month="";
}

$filter7 = ($is_admin == 0 ? "geloescht='0'" : "");
$and5 = ($filter7 != '' && ($filter_monat != 'all' || $filter_jahr != 'all' || $filter_user != 'all' || $filter_cat != 'all' || $filter_konto != 'all') ? "AND " : "");
$filter6 = ($filter_konto != 'all' ? "konto_id='$filter_konto' " : "");
$and4 = ($filter6 != '' && ($filter_monat != 'all' || $filter_jahr != 'all' || $filter_user != 'all' || $filter_cat != 'all') ? "AND " : "");
$filter5 = ($filter_cat != 'all' ? "kat_id='$filter_cat' " : "");
$and3 = ($filter5 != '' && ($filter_monat != 'all' || $filter_jahr != 'all' || $filter_user != 'all') ? "AND " : "");
$filter4 = ($filter_monat != 'all' ? "monat='$filter_monat' " : "");
$and2 = ($filter4 != '' && ($filter_user != 'all' || $filter_jahr != 'all') ? "AND " : "");
$filter3 = ($filter_jahr != 'all' ? "jahr='$filter_jahr' " : "");
$and1 = ($filter3 != '' && $filter_user != 'all' ? "AND " : "");
if ($show_all == 1 ){
$filter2 = ($filter_user != 'all' ? "user_id='$filter_user' " : "");}else{
$filter2 = ($filter_user != 'all' ? "user_id='$filter_user' OR user_id='0' " : "");}
$filter1 = ($filter2 != '' || $filter3 != '' || $filter4 != '' || $filter5 != '' || $filter6 != '' || $filter7 != '' ? "WHERE " : "");
$filter = "$filter1$filter2$and1$filter3$and2$filter4$and3$filter5$and4$filter6$and5$filter7";
$and = ($filter == '' && $is_admin == 1 ? "WHERE geloescht='0'" : "AND geloescht='0'");
$data = dbarray(dbquery("SELECT SUM(valuta) AS summe FROM ".$db_prefix."ccp_buchungen $filter1$filter2$and1$filter3$and2$filter4$and3$filter5$and4$filter6$and5$filter7 $and"));
($data['summe'] >= 0 ? $fzeichen = "" : "-");

$fsumme = round($data['summe'],2);
$fsumme = number_format($fsumme,2,',','.');
$fvaluta = "$fzeichen$fsumme $set_symbol";
//echo "$filter";   //Filter debugging
echo "<form name='filter' method='post' enctype='multipart/form-data' action='".FUSION_SELF."'>
      <div>
      <table class='tbl-border' width='100%'>
      <tr>
        <td width='10%' class='tbl1' align='center'>".$locale['ccp125']."</td>\n
        <td width='10%' class='tbl1' align='center'>".$locale['ccp126']."</td>\n";
        if ($is_admin == 1) 
          echo"
          <td width='15%' class='tbl1' style='border:0'align='center'>".$locale['ccp107']."</td>\n
          <td width='15%' class='tbl1' style='border:0'align='center'>".$locale['ccp105']."</td>\n
          <td width='15%' class='tbl1' style='border:0'align='center'>".$locale['ccp106']."</td>\n
          <td width='20%' class='tbl1' style='border:0'align='center'>".$locale['ccp104']."</td>\n
          <td width='15%' class='tbl1' style='border:0'align='center'><a href='".INFUSIONS."clancash_panel/ccp_admin_panel.php'>Admincenter</a></td>\n";
        else echo"
          <td width='70%' colspan='2' class='tbl1' style='border:0'></td>\n";
        echo"
      </tr>
      <tr>
        <td width='10%' class='tbl1' style='border:0' align='right'><select name='filter_monat' class='textbox' style='width:95%; text-align:center; ' onChange='document.filter.submit();'>\n
          <option value='all' style='text-align:center'>".$locale['ccp128']."</option>\n";
          $monat = 0;
          while ($monat < 12){
            $monat = $monat + 1;
            echo "<option".($monat == $filter_monat ? " selected" : "")." value='$monat' style='text-align:center'>$monat</option>\n";
          }
          echo"</select>
        </td>
        <td width='10%'class='tbl1' style='border:0' align='right'><select name='filter_jahr' class='textbox' style='width:95%; text-align:center; ' onChange='document.filter.submit();'>\n
          <option value='all' style='text-align:center'>".$locale['ccp128']."</option>\n";
          $admin_filter = ($is_admin == 0 ? "WHERE geloescht='0'" : "");
          $data = dbarray(dbquery("SELECT MIN(jahr) AS min FROM ".$db_prefix."ccp_buchungen $admin_filter"));
          $jahre = $akt_jahr - $data['min'] + 1;
          $jahr = $akt_jahr - $jahre;
          while ($jahr < $akt_jahr){
          $jahr = $jahr + 1;
          echo "<option".($jahr == $filter_jahr ? " selected" : "")." value='$jahr' style='text-align:center'>$jahr</option>\n";
          }
          echo"</select></td>";
          if ($is_admin == 1){ 
            echo"
            <td width='15%' class='tbl1' style='border:0' align='right'><select name='filter_user' class='textbox' style='width:95%; text-align:center; ' onChange='document.filter.submit();'>\n
            <option value='all' style='text-align:center'>".$locale['ccp128']."</option>\n";
            $result = dbquery("SELECT DISTINCT ".$db_prefix."users.user_id,".$db_prefix."users.user_name FROM ".$db_prefix."ccp_buchungen,".$db_prefix."users WHERE ".$db_prefix."ccp_buchungen.user_id = ".$db_prefix."users.user_id ORDER BY user_name");
            while ($data = dbarray($result)){
            echo "<option".($data['user_id'] == $filter_user ? " selected" : "")." value='".$data['user_id']."' style='text-align:center'>".$data['user_name']."</option>\n";
            }
            echo" </select>
            </td>
            <td width='15%' class='tbl1' style='border:0' align='right'><select name='filter_cat' class='textbox' style='width:95%; text-align:center; ' onChange='document.filter.submit();'>\n
            <option value='all' style='text-align:center'>".$locale['ccp128']."</option>\n";
            $result = dbquery("SELECT * FROM ".$db_prefix."ccp_kategorien");
            while ($data = dbarray($result)){
            echo "<option".($data['id'] == $filter_cat ? " selected" : "")." value='".$data['id']."' style='text-align:center'>".$data['kat_klartext']."</option>\n";
            }
            echo"</select></td>
            <td width='15%' class='tbl1' style='border:0' align='right'><select name='filter_konto' class='textbox' style='width:95%; text-align:center; ' onChange='document.filter.submit();'>\n
            <option value='all' style='text-align:center'>".$locale['ccp128']."</option>\n";
            $result = dbquery("SELECT * FROM ".$db_prefix."ccp_konten");
            while ($data = dbarray($result)){
            echo "<option".($data['id'] == $filter_konto ? " selected" : "")." value='".$data['id']."' style='text-align:center'>".$data['name']."</option>\n";
            }
            echo"</select></td>
            <td width='10%' class='tbl1' align='center'>$fvaluta</td>";
        }
        else echo"<input type='hidden' name='filter_user' value='all'>\n
                  <input type='hidden' name='filter_cat' value='all'>\n
                  <input type='hidden' name='filter_konto' value='all'>\n
                  <td width='60%' class='tbl1'>&nbsp;</td>";
        echo"
        <td align='center'><input type='submit' name='reset' class='button' style='width:75' value='".$locale['ccp129']."'></td>
      </tr>
      </table>
      </div></form>";
?>
