<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: Clankasse                                     # ||
|| # Version: 1.00.0                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://www.bs-fusion.de                       # ||
|| # File: ccp_admin_panel.php                               # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
//if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");

require_once "../../maincore.php";
include BASEDIR."subheader.php";
include BASEDIR."side_left.php";

if (file_exists(INFUSIONS."clancash_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."clancash_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."clancash_panel/locale/English.php";
}
include INFUSIONS."clancash_panel/ccp_functions.php";

if (!checkgroup($set_admin_id)) fallback("../../index.php");


if ($edit != ''){
  $update = dbarray(dbquery("SELECT * FROM ".$db_prefix."ccp_buchungen WHERE id='$edit'"));
  $ed_valuta = ($update['valuta'] < 0 ? $update['valuta'] * -1 : $update['valuta']);
  $ed_comment = $update['comment'];
  $ed_tag = $update['tag'];
  $ed_monat = $update['monat'];
  $ed_jahr = $update['jahr'];
  $ed_kat_id = $update['kat_id'];
  $ed_user_id = $update['user_id'];
  $ed_konto_id = $update['konto_id'];
  $ed_check_p = ($update['valuta'] > 0 ? "selected" : "");
  $ed_check_m = ($update['valuta'] < 0 ? "selected" : "");
}

if ($del != ''){
  dbquery("UPDATE ".$db_prefix."ccp_buchungen SET
  geloescht = '1' WHERE id='$del'");
}

if (isset($_POST['save'])) {
     
    if ($_POST['kategorie'] == '' || $_POST['betrag'] == '00.00' || $_POST['betrag'] == '' || $_POST['tag'] == '' || $_POST['monat'] == '' || $_POST['jahr'] == ''){     
      $ed_valuta = $_POST['betrag'];
      $ed_comment = $_POST['comment'];
      $ed_tag = $_POST['tag'];
      $ed_monat = $_POST['monat'];
      $ed_jahr = $_POST['jahr'];
      $ed_kat_id = $_POST['kategorie'];
      $ed_user_id = $_POST['user_id'];
      $ed_konto_id = $_POST['konto_id'];
      $ed_check_p = ($_POST['einaus'] > 0 ? "selected" : "");
      $ed_check_m = ($_POST['einaus'] < 0 ? "selected" : "");
      $edit =  $_POST['id'];
     echo $ngespeichert;tablebreak(); 
    }else {
     $betrag = str_replace(',', '.', $_POST['betrag']);
     dbquery("INSERT ".$db_prefix."ccp_buchungen SET
      user_id = '".stripinput($_POST['user_id'])."',
      konto_id = '".stripinput($_POST['konto_id'])."',
      valuta = '".stripinput($betrag)* stripinput($_POST['einaus'])."',
      kat_id = '".stripinput($_POST['kategorie'])."',
      tag = '".stripinput($_POST['tag'])."',
      monat = '".stripinput($_POST['monat'])."',
      jahr = '".stripinput($_POST['jahr'])."',
      comment = '".stripinput($_POST['comment'])."'"); 
      echo $gespeichert;tablebreak();
     }    
}

if (isset($_POST['update'])) {
    if ($_POST['kategorie'] == '' || $_POST['betrag'] == '00.00' || $_POST['betrag'] == '' || $_POST['tag'] == '' || $_POST['monat'] == '' || $_POST['jahr'] == ''){ 
      $ed_valuta = $_POST['betrag'];
      $ed_comment = $_POST['comment'];
      $ed_tag = $_POST['tag'];
      $ed_monat = $_POST['monat'];
      $ed_jahr = $_POST['jahr'];
      $ed_kat_id = $_POST['kategorie'];
      $ed_user_id = $_POST['user_id'];
      $ed_konto_id = $_POST['konto_id'];
      $ed_check_p = ($_POST['einaus'] > 0 ? "selected" : "");
      $ed_check_m = ($_POST['einaus'] < 0 ? "selected" : "");
      $edit =  $_POST['id'];
      echo $ngespeichert;tablebreak();
    }else {
    $betrag = str_replace(',', '.', $_POST['betrag']);
     dbquery("UPDATE ".$db_prefix."ccp_buchungen SET
      user_id = '".stripinput($_POST['user_id'])."',
      konto_id = '".stripinput($_POST['konto_id'])."',
      valuta = '".stripinput($betrag)* stripinput($_POST['einaus'])."',
      kat_id = '".stripinput($_POST['kategorie'])."',
      tag = '".stripinput($_POST['tag'])."',
      monat = '".stripinput($_POST['monat'])."',
      jahr = '".stripinput($_POST['jahr'])."',
      comment = '".stripinput($_POST['comment'])."' WHERE id='$id'");
      echo $gespeichert;tablebreak();
     }
}

tablebreak();

opentable($locale['ccp000']);
echo"<table cellpadding='0' cellspacing='0' width='100%' border='0'>
  <tr>
    <td>";
    require_once "ccp_navigation.php";
  echo"</td></tr><tr><td>";
    opentable($locale['ccp100']);
    
echo"<form name='chasadmin' method='post' enctype='multipart/form-data' action='".FUSION_SELF."'>
      <table class='tbl-border' width='100%'>
      <tr>
        <td class='tbl1' style='text-align: center; width:30%;'>".$locale['ccp101'].":$required</td>
        <td class='tbl1' style='width:70%'>
          <select name='tag' class='textbox'>\n";
          $tag = 1;
          while ($tag < 32){
            echo"<option".($tag == $ed_tag ? " selected" : "")." value='$tag'>$tag</option>\n";
            $tag = $tag + 1;
          }
          echo" </select>
          <select name='monat' class='textbox'>\n";
          $monat = 1;
          while ($monat < 13){
            echo"<option".($monat == $ed_monat ? " selected" : "")." value='$monat'>$monat</option>\n";
            $monat = $monat + 1;
          }
          echo"</select>
          <input name='jahr' class='textbox' value='$ed_jahr' size='5' style='text-align:center; maxlength:4;'></td>
      </tr>
      <tr>
        <td class='tbl1' style='text-align: center; width:30%;'>".$locale['ccp102'].":$required</td>
        <td class='tbl1' style='width:70%' >
          <select name='kategorie' class='textbox' style='width:95%;'>\n
          <option value=''>".$locale['ccp103']."</option>\n";
          $result = dbquery("SELECT * FROM ".$db_prefix."ccp_kategorien ORDER BY kat_klartext asc");
          while ($data = dbarray($result)){
           echo "<option".($data['id'] == $ed_kat_id ? " selected" : "")." value='".$data['id']."'>".$data['kat_klartext']."</option>\n";
          }
          echo" </select></td>
      </tr>
      <tr>
        <td class='tbl1' style='text-align:center; width:30%;'>".$locale['ccp104'].":$required</td>
        <td class='tbl1' style='width:30%'>\n
          <select name='einaus' class='textbox' style='text-align:center;'>\n
                 <option value='1' $ed_check_p style='background-color:green;color:black;'>+</option>\n
                 <option value='-1' $ed_check_m style='background-color:red;color:black;'>-</option>\n
          </select>
        <input type='text' name='betrag' class='textbox' value='$ed_valuta' size='8' style='text-align:center; maxlength:9;'>&nbsp;$set_symbol</td>  
        <!--<td class='tbl1' style='width:40%' align='left'><input name='einaus' value='1' type='radio' $ed_check_p>".$locale['ccp117']."<br><input name='einaus' value='-1' type='radio' $ed_check_m>".$locale['ccp118']."</td>-->  
      </tr>
      <tr>
        <td class='tbl1' style='text-align: center;width:30%;'>".$locale['ccp155'].":</td>
        <td class='tbl1' style='width:70%' ><input type='text' name='comment' class='textbox' value='$ed_comment' style='width:95%; maxlenght:40;'></td>
      </tr>
      <tr>
        <td  class='tbl1' style='text-align: center; width:30%;'>".$locale['ccp106']."</td>
        <td  class='tbl1' style='width:70%'>
         <select name='konto_id' class='textbox' style='width:145;'>\n
        <option value=''>----</option>\n";
        $result = dbquery("SELECT * FROM ".$db_prefix."ccp_konten ORDER BY name");
        while ($data = dbarray($result)){
          echo "<option".($data['id'] == $ed_konto_id ? " selected" : "")." value='".$data['id']."'>".$data['name']."</option>\n";
        }
        echo" </select></td>
      </tr>
      <tr>
        <td class='tbl1' style='text-align: center; width:30%;'>".$locale['ccp107']."</td>
        <td class='tbl1' style='width:50%'>
         <select name='user_id' class='textbox' style='width:145; textalign:right;'>\n
         <option value=''>----</option>\n";
         $result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_groups REGEXP('^\\\.{$set_member_id}$|\\\.{$set_member_id}\\\.|\\\.{$set_member_id}$') ORDER BY user_name");
         while ($data = dbarray($result)){
          echo "<option".($data['user_id'] == $ed_user_id ? " selected" : "")." value='".$data['user_id']."'>".$data['user_name']."</option>\n";
         }
        echo"</select></td>
      </tr>
      <tr> 
        <td class='tbl2'>&nbsp;</td>\n
        <td class='tbl2' align='center'>";
        if ($edit != '')
          echo"<input type='hidden' name='id' value='$edit' /><input style='width:75' type='submit' name='update' class='button' value='".$locale['ccp108']."'>&nbsp;&nbsp;<input style='width:75' type='submit' class='button' value='".$locale['ccp109']."'>";
        else 
          echo"<input style='width:75' type='submit' name='save' class='button' value='".$locale['ccp110']."'>";
        echo"</td>
      </tr>
      <tr>
        <td class='tbl1' align='center' colspan='2'>".$locale['ccp111']."</td>
      </tr></table></form>";
    
tablebreak();
include "ccp_filter.php";
tablebreak();
include "ccp_buchungen.php";
closetable();

echo "</td></tr></table>";
closetable();

include "ccp_copyright.php";
include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>
