<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: Clankasse                                     # ||
|| # Version: 1.00.0                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://www.bs-fusion.de                       # ||
|| # File: ccp_settings_panel.php                            # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
//if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."clancash_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."clancash_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."clancash_panel/locale/english.php";
}
if (!checkrights("IP") || !defined("iAUTH") || $aid != iAUTH) fallback("../../index.php");

include INFUSIONS."clancash_panel/ccp_functions.php";

if (isset($_POST['save'])) {
    (dbrows(dbquery("SELECT * FROM ".$db_prefix."ccp_settings")) == 1 ? $action = "UPDATE" : $action = "INSERT");
    $result = dbquery("$action ".$db_prefix."ccp_settings SET
		cashadmin_groupid='".stripinput($_POST['cashadmin_id'])."',
    member_groupid='".stripinput($_POST['member_id'])."',
    zeilen='".stripinput($_POST['zeilen'])."',
    waehrung='".stripinput($_POST['waehrung'])."',
    member_show_all='".stripinput($_POST['member_show_all'])."'"
    );
    echo $gespeichert;
    echo "<br>";
}

opentable($locale['ccp000']);
$result = dbrows(dbquery("SELECT * FROM ".$db_prefix."user_groups"));
if ($result < 1)echo "<center><font style'font-color:red'".$locale['ccp146'];
else echo"
<table align='center' cellpadding='0' cellspacing='1' width='100%' >
  <tr>
    <td>";
    include "ccp_navigation.php";
    echo"</td></tr><tr><td>";
opentable($locale['ccp145']);
echo"
<form name='cashadmin' method='post' enctype='multipart/form-data' action='".FUSION_SELF.$aidlink."'>
<table align='center' width='50%' class='tbl-border'>
   <tr>
    <td class='tbl1' align='center' width='50%'>".$locale['ccp147']."</td>
    <td class='tbl1' align='center' width='50%'>
    <select name='cashadmin_id' class='textbox' style='width:200px'><option value='' style='text-align:center'>".$locale['ccp103']."</option>\n";
      $result = dbquery("SELECT * FROM ".$db_prefix."user_groups ORDER BY group_name asc");
      while ($data = dbarray($result)){
        $data1 = dbarray(dbquery("SELECT * FROM ".$db_prefix."ccp_settings"));
        $cashadmin = $data1['cashadmin_groupid'];
        $group_id = $data['group_id'];
        echo"<option style='text-align:center' value='".$data['group_id']."'"; 
        if ($cashadmin == $group_id) echo " selected";
        echo">".$data['group_name']."</option>\n";
      }
      echo"</select></td>
  </tr>
  <tr>
    <td class='tbl1' align='center' width='50%'>".$locale['ccp148']."</td>
    <td class='tbl1' align='center' width='50%'>
    <select name='member_id' class='textbox' style='width:200px'><option value='' style='text-align:center'>".$locale['ccp103']."</option>\n";
      $result = dbquery("SELECT * FROM ".$db_prefix."user_groups ORDER BY group_name asc");
      while ($data = dbarray($result)){
        $data1 = dbarray(dbquery("SELECT * FROM ".$db_prefix."ccp_settings"));
        $clanmember = $data1['member_groupid'];
        $group_id = $data['group_id'];
        echo"<option style='text-align:center' value='".$data['group_id']."'"; 
        if ($clanmember == $group_id) echo " selected";
        echo">".$data['group_name']."</option>";
      }
      echo"</select></td>
  </tr>";
  $data1 = dbarray(dbquery("SELECT * FROM ".$db_prefix."ccp_settings"));
  echo"
  <tr>
  <td class='tbl1' align='center' width='50%'>".$locale['ccp149']."</td>
    <td class='tbl1' align='center' width='50%'>
      <select name='zeilen' class='textbox'>
        <option".($data1['zeilen'] == 5 ? " selected" : "")." value='5' style='text-align:center'>5</option>
        <option".($data1['zeilen'] == 10 ? " selected" : "")." value='10' style='text-align:center'>10</option>
        <option".($data1['zeilen'] == 15 ? " selected" : "")." value='15' style='text-align:center'>15</option>
        <option".($data1['zeilen'] == 20 ? " selected" : "")." value='20' style='text-align:center'>20</option>
        <option".($data1['zeilen'] == 25 ? " selected" : "")." value='25' style='text-align:center'>25</option>
        <option".($data1['zeilen'] == 30 ? " selected" : "")." value='30' style='text-align:center'>30</option>
        <option".($data1['zeilen'] == 35 ? " selected" : "")." value='35' style='text-align:center'>35</option>
        <option".($data1['zeilen'] == 40 ? " selected" : "")." value='40' style='text-align:center'>40</option>
        <option".($data1['zeilen'] == 45 ? " selected" : "")." value='45' style='text-align:center'>45</option>
        <option".($data1['zeilen'] == 50 ? " selected" : "")." value='50' style='text-align:center'>50</option>
      </select>
  </tr>
  <tr>
  <td class='tbl1' align='center' width='50%'>".$locale['ccp150']."</td>
    <td class='tbl1' align='center' width='50%'>";
    $data = dbarray(dbquery("SELECT * FROM ".$db_prefix."ccp_settings"));
    echo"<input name='waehrung' class='textbox' style='width:40; text-align:center' value='".$data['waehrung']."'>
    </td>
  </tr>
  <tr>
  <td class='tbl1' align='center' width='50%'>".$locale['ccp159']."</td>
    <td class='tbl1' align='center' width='50%'><input type='checkbox' name='member_show_all' class='checkbox' value='1' ".($data['member_show_all'] == 1 ? " checked" : "")."></td>
  </tr>
  <tr>
  <td class='tbl2' align='center' width='100%' colspan='2'><input class='button' type='submit' name='save' style='width:150' value='".$locale['ccp108']."'></td>
  </tr></table>
</form>
";
closetable();

echo "</td></tr></table>";
closetable();
require_once "ccp_copyright.php";
require_once BASEDIR."footer.php";
?>
